_GraphicsInfoCapsule

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.gamedata
Class _GraphicsInfoCapsule

    java.lang.Object
      net.ctdp.rfdynhud.gamedata._GraphicsInfoCapsule

    public abstract class _GraphicsInfoCapsule

extends java.lang.Object

Author:
  Marvin Froehlich (CTDP)

Constructor Summary
`protected` | `_GraphicsInfoCapsule()`

Method Summary
`abstract java.awt.Color` | `getAmbientColor()`
`abstract byte[]` | `getBuffer()`
`abstract void` | `getCameraOrientation(TelemVect3 orientation)` camera orientation
`abstract void` | `getCameraPosition(TelemVect3 position)` camera position in meters
`abstract float` | `getCameraPositionX()`
`abstract float` | `getCameraPositionY()`
`abstract float` | `getCameraPositionZ()`
`long` | `getUpdateId()` This is incremented every time the info is updated.
`abstract VehicleScoringInfo` | `getViewedVehicleScoringInfo()` Gets the currently viewed vehicle.
`abstract void` | `loadFromStream(java.io.InputStream in)`
`protected void` | `onDataUpdated()` Increments the update ID.
`abstract void` | `writeToStream(java.io.OutputStream out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### _GraphicsInfoCapsule

    protected _GraphicsInfoCapsule()

Method Detail

### getBuffer

    public abstract byte[] getBuffer()

### getUpdateId

    public final long getUpdateId()

  This is incremented every time the info is updated.

  Returns:
    the current update id.

### onDataUpdated

    protected void onDataUpdated()

  Increments the update ID.

### loadFromStream

    public abstract void loadFromStream(java.io.InputStream in)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeToStream

    public abstract void writeToStream(java.io.OutputStream out)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### getCameraPosition

    public abstract void getCameraPosition(TelemVect3 position)

  camera position in meters

  Parameters:
    `position` - output buffer

### getCameraPositionX

    public abstract float getCameraPositionX()

  Returns:
    camera position in meters

### getCameraPositionY

    public abstract float getCameraPositionY()

  Returns:
    camera position in meters

### getCameraPositionZ

    public abstract float getCameraPositionZ()

  Returns:
    camera position in meters

### getCameraOrientation

    public abstract void getCameraOrientation(TelemVect3 orientation)

  camera orientation

  Parameters:
    `orientation` - output buffer

### getAmbientColor

    public abstract java.awt.Color getAmbientColor()

  Returns:
    the ambient color

### getViewedVehicleScoringInfo

    public abstract VehicleScoringInfo getViewedVehicleScoringInfo()

  Gets the currently viewed vehicle.

  Returns:
    the currently viewed vehicle or `null`, if N/A.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD